grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v3.7-80-gd85711f


From: Paul Eggert
Subject: grep branch, master, updated. v3.7-80-gd85711f
Date: Sun, 29 May 2022 19:42:50 -0400 (EDT)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  d85711f6945f79443bbb51b4d0f668a91a163e50 (commit)
       via  4ac5fa8959c6366f64815de3dd94e1327242af4a (commit)
      from  da070834819cf08ee25a209aa70ce5e57e340e9b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=d85711f6945f79443bbb51b4d0f668a91a163e50


commit d85711f6945f79443bbb51b4d0f668a91a163e50
Author: Paul Eggert <eggert@cs.ucla.edu>
Date:   Sun May 29 16:41:50 2022 -0700

    tests: new test color-colors
    
    * tests/Makefile.am (TESTS): Add it.
    * tests/color-colors: New file.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index d72637f..e39c84e 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -84,6 +84,7 @@ TESTS =                                               \
   char-class-multibyte                         \
   char-class-multibyte2                                \
   context-0                                    \
+  color-colors                                 \
   count-newline                                        \
   dfa-coverage                                 \
   dfa-heap-overrun                             \
diff --git a/tests/color-colors b/tests/color-colors
new file mode 100755
index 0000000..3998277
--- /dev/null
+++ b/tests/color-colors
@@ -0,0 +1,48 @@
+#!/bin/sh
+# Check that GREP_COLOR elicits a warning.
+
+# Copyright 2022 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+unset GREP_COLORS
+unset GREP_COLOR
+LC_ALL=C
+export LC_ALL
+
+printf 'x\n\n' >in || framework_failure_
+printf '%s\n' \
+  "grep: warning: GREP_COLOR='36' is deprecated; use GREP_COLORS='mt=36'" \
+  >exp.err || framework_failure_
+
+GREP_COLORS='mt=36:ln=35' grep --color=always . in >exp 2>err || fail=1
+compare /dev/null err || fail=1
+GREP_COLOR='36' GREP_COLORS='ln=35' grep --color=always . in >out 2>err \
+  || fail=1
+compare exp out || fail=1
+compare exp.err err || fail=1
+
+GREP_COLORS='mt=36' grep --color=always . in >exp 2>err || fail=1
+compare /dev/null err || fail=1
+GREP_COLOR='36' grep --color=always . in >out 2>err || fail=1
+compare exp out || fail=1
+compare exp.err err || fail=1
+
+GREP_COLORS='ln=35' grep --color=always . in >out 2>err || fail=1
+compare /dev/null err || fail=1
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=4ac5fa8959c6366f64815de3dd94e1327242af4a


commit d85711f6945f79443bbb51b4d0f668a91a163e50
Author: Paul Eggert <eggert@cs.ucla.edu>
Date:   Sun May 29 16:41:50 2022 -0700

    tests: new test color-colors
    
    * tests/Makefile.am (TESTS): Add it.
    * tests/color-colors: New file.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index d72637f..e39c84e 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -84,6 +84,7 @@ TESTS =                                               \
   char-class-multibyte                         \
   char-class-multibyte2                                \
   context-0                                    \
+  color-colors                                 \
   count-newline                                        \
   dfa-coverage                                 \
   dfa-heap-overrun                             \
diff --git a/tests/color-colors b/tests/color-colors
new file mode 100755
index 0000000..3998277
--- /dev/null
+++ b/tests/color-colors
@@ -0,0 +1,48 @@
+#!/bin/sh
+# Check that GREP_COLOR elicits a warning.
+
+# Copyright 2022 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+unset GREP_COLORS
+unset GREP_COLOR
+LC_ALL=C
+export LC_ALL
+
+printf 'x\n\n' >in || framework_failure_
+printf '%s\n' \
+  "grep: warning: GREP_COLOR='36' is deprecated; use GREP_COLORS='mt=36'" \
+  >exp.err || framework_failure_
+
+GREP_COLORS='mt=36:ln=35' grep --color=always . in >exp 2>err || fail=1
+compare /dev/null err || fail=1
+GREP_COLOR='36' GREP_COLORS='ln=35' grep --color=always . in >out 2>err \
+  || fail=1
+compare exp out || fail=1
+compare exp.err err || fail=1
+
+GREP_COLORS='mt=36' grep --color=always . in >exp 2>err || fail=1
+compare /dev/null err || fail=1
+GREP_COLOR='36' grep --color=always . in >out 2>err || fail=1
+compare exp out || fail=1
+compare exp.err err || fail=1
+
+GREP_COLORS='ln=35' grep --color=always . in >out 2>err || fail=1
+compare /dev/null err || fail=1
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 NEWS               |  4 +++
 doc/grep.in.1      | 28 ---------------------
 doc/grep.texi      | 71 ++++++++++++++++++++++++------------------------------
 src/grep.c         |  9 +++++--
 tests/Makefile.am  |  1 +
 tests/color-colors | 48 ++++++++++++++++++++++++++++++++++++
 6 files changed, 92 insertions(+), 69 deletions(-)
 create mode 100755 tests/color-colors


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]